﻿namespace MSSqlSchemaDoc.Core.DataStructures
{
    using System;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents documentation for a DML trigger.
    /// </summary>
    [Serializable()]
    public class DmlTriggerDocumentation : DocumentationObjectBase
    {
        /// <summary>
        /// Gets the trigger documentation object type string.
        /// </summary>
        public override DataStructureObjectType ObjectType
        {
            get
            {
                return DataStructureObjectType.DmlTriggerDocumentation;
            }
        }
    }
}
